
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/brltty.conf.new
config etc/rc.d/rc.brltty.new
if [ ! -f etc/brlapi.key ]; then
	chmod 755 usr/sbin/brltty-genkey
	usr/sbin/brltty-genkey etc/brlapi.key
	usr/bin/chgrp braille etc/brlapi.key
	chmod 640 etc/brlapi.key
fi
( cd lib64 ; rm -rf libbrlapi.so.0.8 )
( cd lib64 ; ln -sf libbrlapi.so.0.8.2 libbrlapi.so.0.8 )
( cd lib64 ; rm -rf libbrlapi.so )
( cd lib64 ; ln -sf libbrlapi.so.0.8.2 libbrlapi.so )
